%global _empty_manifest_terminate_build 0
Name:           python-scripttest
Version:        1.3
Release:        1
Summary:        Helper to test command-line scripts
License:        MIT
URL:            http://pythonpaste.org/scripttest/
Source0:        https://files.pythonhosted.org/packages/c8/48/609b5463da485943d6a6abd1c7dac625f7d710bce7f13d09db20b696e18c/scripttest-1.3.tar.gz
BuildArch:      noarch
%description
scripttest is a library to help you test your interactive command-line
applications. With it you can easily run the command (in a subprocess)
and see the output (stdout, stderr) and any file modifications.

%package -n python3-scripttest
Summary:        Helper to test command-line scripts
Provides:       python-scripttest
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-scripttest
scripttest is a library to help you test your interactive command-line
applications. With it you can easily run the command (in a subprocess)
and see the output (stdout, stderr) and any file modifications.

%package help
Summary:        Helper to test command-line scripts
Provides:       python3-scripttest-doc
%description help
scripttest is a library to help you test your interactive command-line
applications. With it you can easily run the command (in a subprocess)
and see the output (stdout, stderr) and any file modifications.

%prep
%autosetup -n scripttest-1.3

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-scripttest -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Jul 14 2021 OpenStack_SIG <openstack@openeuler.org> - 1.3-1
- Package Spec generate
